package io.gisbi.api.license;

import io.gisbi.api.license.bo.F2CLicResult;
import io.gisbi.api.license.dto.LicenseRequest;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

public interface LicenseApi {

    @PostMapping("/validate")
    F2CLicResult validate(@RequestBody LicenseRequest request);

    @GetMapping("/version")
    String version();
}
